devel/libnjb - The NetBSD Packages Collection

Communicating with some Creative and Dell audio players

libnjb is a C library and API for communicating with the Creative Nomad JukeBox
and Dell DJ digital audio players under BSD, Linux, Mac OS X and Windows. The
protocol these devices use is presumably called PDE (Portable Digital
Entertainment protocol) at Creative. Newer devices using the Microsoft MTP
(Media Transfer Protocol) are NOT supported.
Working Devices:
Creative NOMAD Jukebox 1 (aka D.A.P.)
Creative NOMAD Jukebox 2
Creative NOMAD Jukebox 3
Creative NOMAD Jukebox Zen
Creative NOMAD Jukebox Zen USB 2.0
Creative NOMAD Jukebox Zen NX
Creative NOMAD Jukebox Zen Xtra
Creative Zen Touch
Creative Zen Micro
Creative Zen Sleek
Creative Zen
Dell Digital Jukebox ("Dell DJ")
Second Generation Dell DJ
Dell Pocket DJ

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/pkgconf

Runtime dependencies

devel/libusb-compat

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibnjb-2.2.7.tgz
NetBSD 8.0earmv7hflibnjb-2.2.7.tgz
NetBSD 8.0earmv7hflibnjb-2.2.7.tgz
NetBSD 8.0i386libnjb-2.2.7.tgz
NetBSD 8.0i386libnjb-2.2.7.tgz
NetBSD 8.0i386libnjb-2.2.7.tgz
NetBSD 8.0powerpclibnjb-2.2.7.tgz
NetBSD 8.0powerpclibnjb-2.2.7.tgz
NetBSD 8.0powerpclibnjb-2.2.7.tgz
NetBSD 8.0x86_64libnjb-2.2.7.tgz
NetBSD 8.0x86_64libnjb-2.2.7.tgz
NetBSD 9.0aarch64libnjb-2.2.7.tgz
NetBSD 9.0aarch64libnjb-2.2.7.tgz
NetBSD 9.0aarch64libnjb-2.2.7.tgz
NetBSD 9.0alphalibnjb-2.2.7.tgz
NetBSD 9.0alphalibnjb-2.2.7.tgz
NetBSD 9.0alphalibnjb-2.2.7.tgz
NetBSD 9.0earmlibnjb-2.2.7.tgz
NetBSD 9.0earmv6hflibnjb-2.2.7.tgz
NetBSD 9.0earmv6hflibnjb-2.2.7.tgz
NetBSD 9.0earmv6hflibnjb-2.2.7.tgz
NetBSD 9.0earmv6hflibnjb-2.2.7.tgz
NetBSD 9.0earmv7hflibnjb-2.2.7.tgz
NetBSD 9.0earmv7hflibnjb-2.2.7.tgz
NetBSD 9.0earmv7hflibnjb-2.2.7.tgz
NetBSD 9.0earmv7hflibnjb-2.2.7.tgz
NetBSD 9.0i386libnjb-2.2.7.tgz
NetBSD 9.0i386libnjb-2.2.7.tgz
NetBSD 9.0mips64eblibnjb-2.2.7.tgz
NetBSD 9.0mips64eblibnjb-2.2.7.tgz
NetBSD 9.0mips64eblibnjb-2.2.7.tgz
NetBSD 9.0powerpclibnjb-2.2.7.tgz
NetBSD 9.0powerpclibnjb-2.2.7.tgz
NetBSD 9.0sparc64libnjb-2.2.7.tgz
NetBSD 9.0sparc64libnjb-2.2.7.tgz
NetBSD 9.0sparc64libnjb-2.2.7.tgz
NetBSD 9.0sparclibnjb-2.2.7.tgz
NetBSD 9.0sparclibnjb-2.2.7.tgz
NetBSD 9.0sparclibnjb-2.2.7.tgz
NetBSD 9.0x86_64libnjb-2.2.7.tgz
NetBSD 9.0x86_64libnjb-2.2.7.tgz
NetBSD 9.0x86_64libnjb-2.2.7.tgz
NetBSD 9.0x86_64libnjb-2.2.7.tgz
NetBSD 9.0x86_64libnjb-2.2.7.tgz
NetBSD 9.0x86_64libnjb-2.2.7.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.